Skip to main content
GET
Asset ingest status

Authorizations

Authorization
string
header
required

A workspace API key.

Path Parameters

assetId
string
required

Stable project asset id returned by GET /v1/assets.

Required string length: 1 - 200

Query Parameters

projectId
string
required

Project returned by project_session_start or POST /v1/projects.

Required string length: 1 - 200

Response

Success.

success
boolean
required
assetId
string
required

Stable project asset id.

projectId
string
required

Project that owns the asset.

contentId
string | null
required

Storage content id to pass to video.edit once ready is true.

status
string
required

Current asset readiness state.

ingestStatus
string
required

Current content-storage synchronization state.

ready
boolean
required

True when the content id is ready for downstream jobs.

terminal
boolean
required

True when ingest will not make further progress.

retryable
boolean
required

True while the client may continue polling.

updatedAt
string<date-time>
required

Last ingest-state update time.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
{key}
any